Namespace
library
Image / Tag
openjdk:24-ea-15
Content Digest
sha256:bb7a30977811c4ed2d21307230ca0066f26366d94513c037ab76f0bbb4351b5f
Details
Created

2024-09-14 06:48:15 UTC

Size

288 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-24

JAVA_VERSION

24-ea+15

LANG

C.UTF-8

PATH

/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5e407bf3af905fb1f6edf271f870052697e79b018f921119921615cd25365fdb - 16.33% (47 MB)

[#001] sha256:1b827a6775178595a4e839f335fb59d678dace1d642b33f76e68550f367346f6 - 13.4% (38.5 MB)

[#002] sha256:b1fb5533ac77b9dca88397e870dfc5032b19a0478d14ea72b95dfe64dbfba361 - 70.26% (202 MB)


History
2024-09-09 20:34:59 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit

2024-09-09 20:34:59 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-24

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=24-ea+15

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_linux-x64_bin.tar.gz'; downloadSha256='b41d4867c348d7f1991085d8bcc8797eaf032d9dfaa3419bc9db15eaea75e91e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_linux-aarch64_bin.tar.gz'; downloadSha256='165b7c19403e9708ca261cdfe4c385e837df683049203e33ad2bf76228054a25'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2024-09-16 18:59:04 UTC

Size

1.56 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-24

JAVA_SHA256

eef80af228bec40c318932471d2263a3ee6998dd635f9b1e60c432cf26d3c4d8

JAVA_URL

https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_windows-x64_bin.zip

JAVA_VERSION

24-ea+15


Layers

[#000] sha256:2534953f34d35976fc44cd67bfdd39fdcd9e2eaae57ada0be53d5fb936cd3a0b - 87.51% (1.36 GB)

[#001] sha256:21ef27b6c8090f6896371ec9eb5543810593416ba4a510b64b2eee9e5f2ebdaa - 0.0% (1.25 KB)

[#002] sha256:60161ef3c2f2a60ac39f5b92de51569642e97199b5a82580631124b8440d7fff - 0.02% (343 KB)

[#003] sha256:e2a9cd75456157cf6f64693370e20beae84aa2d2414fe4d0da7874ceb5b76e50 - 0.0% (1.26 KB)

[#004] sha256:0712c6b05d28296383a953360b19b27876c74d96eba90f9685168a7f1cea1c57 - 0.02% (327 KB)

[#005] sha256:765cd56241300bdbd1bd204600b9941e0db4372912a950d43155433164223f5e - 0.0% (1.26 KB)

[#006] sha256:246207d39f6867729bafd5939410b2f370576368899e99e2ce7a2f51faf89bef - 0.0% (1.25 KB)

[#007] sha256:d43e18eb5e0ccba6e7f868a21577575da44a1bd33fa0a2bc5d5fd17a9c807807 - 0.0% (1.25 KB)

[#008] sha256:6b3b21c60f129547a3f5a603f3c6106b4462f92c550556b55e769f33036d6ab9 - 12.45% (198 MB)

[#009] sha256:04ac0988e4a96de417d28e670d9d14d3557e0aec57591c1f953e5307c514ffa0 - 0.0% (1.25 KB)


History
2024-09-06 00:01:38 UTC

Apply image 10.0.20348.2700

2024-09-16 18:57:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-09-16 18:58:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-09-16 18:58:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-24

2024-09-16 18:58:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-09-16 18:58:40 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=24-ea+15

2024-09-16 18:58:41 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_windows-x64_bin.zip

2024-09-16 18:58:41 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=eef80af228bec40c318932471d2263a3ee6998dd635f9b1e60c432cf26d3c4d8

2024-09-16 18:59:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-09-16 18:59:04 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-09-16 19:03:03 UTC

Size

1.8 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-24

JAVA_SHA256

eef80af228bec40c318932471d2263a3ee6998dd635f9b1e60c432cf26d3c4d8

JAVA_URL

https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_windows-x64_bin.zip

JAVA_VERSION

24-ea+15


Layers

[#000] sha256:803f4a9590cb9c635813cbd0ee89190f92d5fe4c7589711cf468879e42ce02ba - 89.18% (1.6 GB)

[#001] sha256:44d23a5fee49056fbcd1f2a4d97695710988c3fcb29fcbfd1b3a49d77c118a9a - 0.0% (1.26 KB)

[#002] sha256:f3a02190921c086f94550f4de47987a7fbbf6dd32495c8779d03f381a2370f49 - 0.02% (344 KB)

[#003] sha256:238c1b16b9e779a9d5ddc29ed93b8600675b5f07865171ca08dec9c87f23bd28 - 0.0% (1.36 KB)

[#004] sha256:6f59605927960401d079ec173530abb5e93dcb163095b2f6d73d4c4d62290fef - 0.02% (337 KB)

[#005] sha256:92dbe9a9f2222bc2c90a9aeeeeb9f4b9ce2a35e029abc3ff17397d9e0a2a29b1 - 0.0% (1.38 KB)

[#006] sha256:9c7f5b542f993e99158129da9b95f14e01088fccbb2597f9b9c169a52f4539d5 - 0.0% (1.33 KB)

[#007] sha256:a8fc8124b392aa6942a88e2899696258487e32a6ad519f5f9690e10665363e78 - 0.0% (1.27 KB)

[#008] sha256:0f4601edd11f2cd28b0442fcd9ce57670e502937c8777c522c537496952b6d71 - 10.78% (198 MB)

[#009] sha256:1925be6f5f865480b69219ecc4c5eba4d22de52acaea71de78d6caa935dad9b7 - 0.0% (1.26 KB)


History
2024-09-06 01:15:31 UTC

Apply image 10.0.17763.6293

2024-09-16 19:01:56 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2024-09-16 19:02:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2024-09-16 19:02:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-24

2024-09-16 19:02:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2024-09-16 19:02:16 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=24-ea+15

2024-09-16 19:02:17 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_windows-x64_bin.zip

2024-09-16 19:02:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=eef80af228bec40c318932471d2263a3ee6998dd635f9b1e60c432cf26d3c4d8

2024-09-16 19:03:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2024-09-16 19:03:03 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2024-09-14 06:48:15 UTC

Size

285 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-24

JAVA_VERSION

24-ea+15

LANG

C.UTF-8

PATH

/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ed6a7145c00ee1c4b91b6b37765e2a7addef2d9b96e12546b2f7aad0a198ae3f - 16.05% (45.7 MB)

[#001] sha256:ba1be39ea2d18e49c60b19f004c35d6d158839de1ab591a32c52003cd6b2d1b9 - 13.68% (39 MB)

[#002] sha256:72ec9a476755f71cee55be483721187d841ffbacd3182c203e191653ab5b1e42 - 70.26% (200 MB)


History
2024-09-09 20:35:51 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit

2024-09-09 20:35:51 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-24

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-24/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=24-ea+15

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_linux-x64_bin.tar.gz'; downloadSha256='b41d4867c348d7f1991085d8bcc8797eaf032d9dfaa3419bc9db15eaea75e91e'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk24/15/GPL/openjdk-24-ea+15_linux-aarch64_bin.tar.gz'; downloadSha256='165b7c19403e9708ca261cdfe4c385e837df683049203e33ad2bf76228054a25'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2024-09-14 06:48:15 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete